using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Styx;
using Styx.CommonBot;
using Styx.CommonBot.Routines;
using Styx.WoWInternals.DBC;
using System.Drawing;

using Styx.WoWInternals.WoWObjects;
using Styx.WoWInternals;
using Styx.Common;
using Styx.Plugins;
using System.Dynamic;

using Styx.TreeSharp;
using Action = Styx.TreeSharp.Action;

namespace HunterPaxxx
{
    public class WoWContextEventArg : EventArgs
    {
        public enum WoWContext
        {
            None = 0,
            Normal = 0x1,
            Instances = 0x2,
            Battlegrounds = 0x4,

            All = Normal | Instances | Battlegrounds,
        }

        public readonly WoWContext CurrentContext;
        public readonly WoWContext PreviousContext;

        public WoWContextEventArg(WoWContext currentContext, WoWContext prevContext)
        {
            CurrentContext = currentContext;
            PreviousContext = prevContext;
        }
    }
}